%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname pywebdav
%global pypiname PyWebDAV3

Name:           pywebdav
Version:        0.9.10
Release:        4%{?dist}
Summary:        WebDAV library

License:        LGPLv2+
URL:            https://github.com/andrewleech/%{pypiname}
Source0:        https://files.pythonhosted.org/packages/source/P/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel

%if with_python3
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
%endif


%description
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.

%package -n python2-%{srcname}

Summary:        WebDAV library for Python 2

%{?python_provide:%python_provide python2-%{srcname}}
Provides: pywebdav = %{version}-%{release}
Obsoletes: pywebdav < 0.9.10

%description -n python2-%{srcname}
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.

%if 0%{?with_python3}
%package -n python3-%{srcname}

Summary:        WebDAV library for Python 3

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
WebDAV library for Python. WebDAV is an extension to the normal HTTP/1.1
protocol allowing the user to upload data, create collections of objects,
store properties for objects, etc.
%endif


%prep
%setup -q -n %{pypiname}-%{version}

rm -f doc/INSTALL


%build

# LANG setting is currently needed to open metadata files correctly
# Reported upstream: https://github.com/andrewleech/PyWebDAV3/pull/3

%if 0%{?with_python3}
LANG=en_US.UTF-8 %py3_build
%endif
LANG=en_US.UTF-8 %py2_build

# Move the LICENSE to separate it from other documentation
mv doc/LICENSE .

%install

# LANG setting is currently needed to open metadata files correctly
# Reported upstream: https://github.com/andrewleech/PyWebDAV3/pull/3

%if 0%{?with_python3}
LANG=en_US.UTF-8 %py3_install
%endif
LANG=en_US.UTF-8 %py2_install


%files -n python2-%{srcname}

%license LICENSE

# README references e.g. "doc/ARCHITECTURE", so package doc/ as a subdirectory
%doc README
%doc doc/

%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{pypiname}*.egg-info
%exclude %{python2_sitelib}/%{srcname}/server
%exclude %{_bindir}/*

%files -n python3-%{srcname}

%license LICENSE

# README references e.g. "doc/ARCHITECTURE", so package doc/ as a subdirectory
%doc README
%doc doc/

%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{pypiname}*.egg-info
%exclude %{python3_sitelib}/%{srcname}/server
%exclude %{_bindir}/*


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.10-2
- Rebuild for Python 3.6

* Sat Jul 30 2016 Petr Viktorin <pviktori@redhat.com> - 0.9.10-1
- Switch to PyWebDav3 0.9.10 as original upstream is dead
- Add subpackage for Python 3
- Package the README as docs
- Use license tag for LICENSE, and modern Python macros

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.8-6
- Replace python-setuptools-devel BR with python-setuptools

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun  4 2012 Dan Horák <dan[at]danny.cz> - 0.9.8-1
- update to 0.9.8

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar  1 2011 Dan Horák <dan[at]danny.cz> 0.9.4.1-1
- update to 0.9.4.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 29 2010 Dan Horák <dan[at]danny.cz> 0.9.4-1
- update to 0.9.4

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Sep  3 2009 Dan Horák <dan[at]danny.cz> 0.9.3-2
- drop dependency on PyXML (#520984)

* Wed Aug 26 2009 Dan Horák <dan[at]danny.cz> 0.9.3-1
- update to 0.9.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Dan Horák <dan[at]danny.cz> 0.9.2-1
- update to 0.9.2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Dan Horák <dan[at]danny.cz> 0.8-2
- add PyDAVServer as an example into docs

* Mon Dec 22 2008 Dan Horák <dan[at]danny.cz> 0.8-1
- initial Fedora version
